{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.block_animals.hippo.ram_watcher": {
      "states": {
        "default": {
          "transitions": [
            { "ram_attack": "q.is_casting" }
          ]
        },
        "ram_attack": {
          "on_entry": [
            "/scriptevent silverlabs_nat:hippo_ram_attack",
            "v.ram_attack_delay = query.life_time + 1.5;"
          ],
          "transitions": [
            { "default": "query.life_time > (v.ram_attack_delay ?? 0)" }
          ]
        }
      }
    }
  }
}
